#include "Piece.hpp"

//#define MAX_SFX  10

class Piece;
class Level;

class Board
{
 public:
   Board();
   ~Board();
   int LoadLevel( int nlevel);
   void FixPiece( Piece* piece);
   int DetectCollision( Piece* piece);
   int WatchForLines();
   int WatchForLose();
   int Update();
   void Display();
   void MovePlayer( int direction);
 
 private:
   char tab[25][12];
   Piece* preview;
   Piece* current;
   int level;
   int speed;
   int lines;
   int score;
   int ready;
   //int sfx[MAX_SFX];
   //Mix_Chunk* sfx_pt[MAX_SFX];
   Level *current_level;
};
